VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR:
[legend]

## Public Member Functions

DisplaySurfaceCreateInfoKHR (DisplaySurfaceCreateFlagsKHR flags_=DisplaySurfaceCreateFlagsKHR(), DisplayModeKHR displayMode_=DisplayModeKHR(), uint32_t planeIndex_=0, uint32_t planeStackIndex_=0, SurfaceTransformFlagBitsKHR transform_=SurfaceTransformFlagBitsKHR::eIdentity, float globalAlpha_=0, DisplayPlaneAlphaFlagBitsKHR alphaMode_=DisplayPlaneAlphaFlagBitsKHR::eOpaque, Extent2D imageExtent_=Extent2D())

| DisplaySurfaceCreateInfoKHR (VkDisplaySurfaceCreateInfoKHR const &rhs)
DisplaySurfaceCreateInfoKHR & | operator= (VkDisplaySurfaceCreateInfoKHR const &rhs)
DisplaySurfaceCreateInfoKHR & | setPNext (const void *pNext_)
DisplaySurfaceCreateInfoKHR & | setFlags (DisplaySurfaceCreateFlagsKHR flags_)
DisplaySurfaceCreateInfoKHR & | setDisplayMode (DisplayModeKHR displayMode_)
DisplaySurfaceCreateInfoKHR & | setPlaneIndex (uint32_t planeIndex_)
DisplaySurfaceCreateInfoKHR & | setPlaneStackIndex (uint32_t planeStackIndex_)
DisplaySurfaceCreateInfoKHR & | setTransform (SurfaceTransformFlagBitsKHR transform_)
DisplaySurfaceCreateInfoKHR & | setGlobalAlpha (float globalAlpha_)
DisplaySurfaceCreateInfoKHR & | setAlphaMode (DisplayPlaneAlphaFlagBitsKHR alphaMode_)
DisplaySurfaceCreateInfoKHR & | setImageExtent (Extent2D imageExtent_)
| operator VkDisplaySurfaceCreateInfoKHR const & () const
| operator VkDisplaySurfaceCreateInfoKHR & ()
bool | operator== (DisplaySurfaceCreateInfoKHR const &rhs) const
bool | operator!= (DisplaySurfaceCreateInfoKHR const &rhs) const

## Data Fields

const void * | pNext = nullptr
DisplaySurfaceCreateFlagsKHR | flags
DisplayModeKHR | displayMode
uint32_t | planeIndex
uint32_t | planeStackIndex
SurfaceTransformFlagBitsKHR | transform
float | globalAlpha
DisplayPlaneAlphaFlagBitsKHR | alphaMode
Extent2D | imageExtent

## Private Attributes

StructureType | sType = StructureType::eDisplaySurfaceCreateInfoKHR

## Detailed Description

Definition at line 29382 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DisplaySurfaceCreateInfoKHR() [1/2]

VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::DisplaySurfaceCreateInfoKHR | ( | DisplaySurfaceCreateFlagsKHR | flags_ = `DisplaySurfaceCreateFlagsKHR()`,
|  | DisplayModeKHR | displayMode_ = `DisplayModeKHR()`,
|  | uint32_t | planeIndex_ = `0`,
|  | uint32_t | planeStackIndex_ = `0`,
|  | SurfaceTransformFlagBitsKHR | transform_ = `SurfaceTransformFlagBitsKHR::eIdentity`,
|  | float | globalAlpha_ = `0`,
|  | DisplayPlaneAlphaFlagBitsKHR | alphaMode_ = `DisplayPlaneAlphaFlagBitsKHR::eOpaque`,
|  | Extent2D | imageExtent_ = `Extent2D()`
| ) |  |

inline

Definition at line 29384 of file vulkan.hpp.

: flags( flags_ )
, displayMode( displayMode_ )
, planeIndex( planeIndex_ )
, planeStackIndex( planeStackIndex_ )
, transform( transform_ )
, globalAlpha( globalAlpha_ )
, alphaMode( alphaMode_ )
, imageExtent( imageExtent_ )
{
}

## DisplaySurfaceCreateInfoKHR() [2/2]

VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::DisplaySurfaceCreateInfoKHR | ( | VkDisplaySurfaceCreateInfoKHR const & | rhs | ) |

inline

Definition at line 29403 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplaySurfaceCreateInfoKHR ) );
}

References memcpy.

## Member Function Documentation

## operator VkDisplaySurfaceCreateInfoKHR &()

VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::operator VkDisplaySurfaceCreateInfoKHR & | ( |  | ) |

inline

Definition at line 29472 of file vulkan.hpp.

{
return *reinterpret_cast<VkDisplaySurfaceCreateInfoKHR*>(this);
}

## operator VkDisplaySurfaceCreateInfoKHR const &()

VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::operator VkDisplaySurfaceCreateInfoKHR const & | ( |  | ) | const

inline

Definition at line 29467 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDisplaySurfaceCreateInfoKHR*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::operator!= | ( | DisplaySurfaceCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 29491 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::operator= | ( | VkDisplaySurfaceCreateInfoKHR const & | rhs | ) |

inline

Definition at line 29408 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DisplaySurfaceCreateInfoKHR ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::operator== | ( | DisplaySurfaceCreateInfoKHR const & | rhs | ) | const

inline

Definition at line 29477 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( displayMode == rhs.displayMode )
&& ( planeIndex == rhs.planeIndex )
&& ( planeStackIndex == rhs.planeStackIndex )
&& ( transform == rhs.transform )
&& ( globalAlpha == rhs.globalAlpha )
&& ( alphaMode == rhs.alphaMode )
&& ( imageExtent == rhs.imageExtent );
}

References alphaMode, displayMode, flags, globalAlpha, imageExtent, planeIndex, planeStackIndex, pNext, sType, and transform.

Referenced by operator!=().

## setAlphaMode()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setAlphaMode | ( | DisplayPlaneAlphaFlagBitsKHR | alphaMode_ | ) |

inline

Definition at line 29455 of file vulkan.hpp.

{
alphaMode = alphaMode_;
return *this;
}

References alphaMode.

## setDisplayMode()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setDisplayMode | ( | DisplayModeKHR | displayMode_ | ) |

inline

Definition at line 29425 of file vulkan.hpp.

{
displayMode = displayMode_;
return *this;
}

References displayMode.

## setFlags()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setFlags | ( | DisplaySurfaceCreateFlagsKHR | flags_ | ) |

inline

Definition at line 29419 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setGlobalAlpha()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setGlobalAlpha | ( | float | globalAlpha_ | ) |

inline

Definition at line 29449 of file vulkan.hpp.

{
globalAlpha = globalAlpha_;
return *this;
}

References globalAlpha.

## setImageExtent()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setImageExtent | ( | Extent2D | imageExtent_ | ) |

inline

Definition at line 29461 of file vulkan.hpp.

{
imageExtent = imageExtent_;
return *this;
}

References imageExtent.

## setPlaneIndex()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setPlaneIndex | ( | uint32_t | planeIndex_ | ) |

inline

Definition at line 29431 of file vulkan.hpp.

{
planeIndex = planeIndex_;
return *this;
}

References planeIndex.

## setPlaneStackIndex()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setPlaneStackIndex | ( | uint32_t | planeStackIndex_ | ) |

inline

Definition at line 29437 of file vulkan.hpp.

{
planeStackIndex = planeStackIndex_;
return *this;
}

References planeStackIndex.

## setPNext()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 29413 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setTransform()

DisplaySurfaceCreateInfoKHR& VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::setTransform | ( | SurfaceTransformFlagBitsKHR | transform_ | ) |

inline

Definition at line 29443 of file vulkan.hpp.

{
transform = transform_;
return *this;
}

## Field Documentation

## alphaMode

DisplayPlaneAlphaFlagBitsKHR VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::alphaMode

Definition at line 29507 of file vulkan.hpp.

Referenced by operator==(), and setAlphaMode().

## displayMode

DisplayModeKHR VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::displayMode

Definition at line 29502 of file vulkan.hpp.

Referenced by operator==(), and setDisplayMode().

## flags

DisplaySurfaceCreateFlagsKHR VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::flags

Definition at line 29501 of file vulkan.hpp.

Referenced by operator==().

## globalAlpha

float VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::globalAlpha

Definition at line 29506 of file vulkan.hpp.

Referenced by operator==(), and setGlobalAlpha().

## imageExtent

Extent2D VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::imageExtent

Definition at line 29508 of file vulkan.hpp.

Referenced by operator==(), and setImageExtent().

## planeIndex

uint32_t VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::planeIndex

Definition at line 29503 of file vulkan.hpp.

Referenced by operator==(), and setPlaneIndex().

## planeStackIndex

uint32_t VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::planeStackIndex

Definition at line 29504 of file vulkan.hpp.

Referenced by operator==(), and setPlaneStackIndex().

## pNext

const void* VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::pNext = nullptr

Definition at line 29500 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::sType = StructureType::eDisplaySurfaceCreateInfoKHR

private

Definition at line 29497 of file vulkan.hpp.

Referenced by operator==().

## transform

SurfaceTransformFlagBitsKHR VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::transform

Definition at line 29505 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::imageExtent
Extent2D imageExtent
Definition: vulkan.hpp:29508
VkDisplaySurfaceCreateInfoKHR
Definition: vulkan_core.h:5011
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::pNext
const void * pNext
Definition: vulkan.hpp:29500
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::displayMode
DisplayModeKHR displayMode
Definition: vulkan.hpp:29502
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::operator==
bool operator==(DisplaySurfaceCreateInfoKHR const &rhs) const
Definition: vulkan.hpp:29477
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::DisplaySurfaceCreateInfoKHR
DisplaySurfaceCreateInfoKHR(DisplaySurfaceCreateFlagsKHR flags_=DisplaySurfaceCreateFlagsKHR(), DisplayModeKHR displayMode_=DisplayModeKHR(), uint32_t planeIndex_=0, uint32_t planeStackIndex_=0, SurfaceTransformFlagBitsKHR transform_=SurfaceTransformFlagBitsKHR::eIdentity, float globalAlpha_=0, DisplayPlaneAlphaFlagBitsKHR alphaMode_=DisplayPlaneAlphaFlagBitsKHR::eOpaque, Extent2D imageExtent_=Extent2D())
Definition: vulkan.hpp:29384
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::transform
SurfaceTransformFlagBitsKHR transform
Definition: vulkan.hpp:29505
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::alphaMode
DisplayPlaneAlphaFlagBitsKHR alphaMode
Definition: vulkan.hpp:29507
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::planeIndex
uint32_t planeIndex
Definition: vulkan.hpp:29503
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::globalAlpha
float globalAlpha
Definition: vulkan.hpp:29506
transform
GLuint GLenum GLenum transform
Definition: SDL_opengl_glext.h:9996
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::flags
DisplaySurfaceCreateFlagsKHR flags
Definition: vulkan.hpp:29501
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::planeStackIndex
uint32_t planeStackIndex
Definition: vulkan.hpp:29504
VULKAN_HPP_NAMESPACE::DisplaySurfaceCreateInfoKHR::sType
StructureType sType
Definition: vulkan.hpp:29497